# Uses of Interface
org.xnio.ChannelSource

Packages that use ChannelSource
Package
Description
org.xnio
The main API package for XNIO.

## Uses of ChannelSource in org.xnio

Methods in org.xnio that return ChannelSource
Modifier and Type
Method
Description
`static <T extends Channel>
ChannelSource<T>`
IoUtils.`getRetryingChannelSource(ChannelSource<T> delegate, int maxTries)`
A channel source which tries to acquire a channel from a delegate channel source the given number of times before giving up.
Methods in org.xnio with parameters of type ChannelSource
Modifier and Type
Method
Description
`static <T extends Channel>
ChannelSource<T>`
IoUtils.`getRetryingChannelSource(ChannelSource<T> delegate, int maxTries)`
A channel source which tries to acquire a channel from a delegate channel source the given number of times before giving up.